package controllers

import (
	"github.com/astaxie/beego"
	//"github.com/usual2970/util/git-module"
	"github.com/astaxie/beego/logs"
	//"github.com/pquerna/ffjson/ffjson"
)

type GitController struct {
	beego.Controller
}

var log=&logs.BeeLogger{}

type HookInfo struct{
	Password string `json:"password"`
	HookName string `json:"hook_name"`
	PushData *PData `json:"push_data"`
}

type PData struct{
	Before string `json:"before"`
	After string `json:"after"`
	Ref string `json:"ref"`
}
/**
 * 静态资源更新后自动同步到又拍云
 * @param  {[type]} c *GitController) Hook( [description]
 * @return {[type]}   [description]
 */
func (c *GitController) Hook() {
	//resp:=&HookInfo{}
	//ffjson.Unmarshal(c.Ctx.Input.RequestBody,resp)
	log.Info(string(c.Ctx.Input.RequestBody))
	// str:=`{
	// 	    "password": "hod20x4hnkecy63", 
	// 	    "hook_name": "push_hooks", 
	// 	    "push_data": {
	// 	        "before": "26c9fb3533d1c63e3b822d58a8831b1caf6d9cd7", 
	// 	        "after": "219aa13d45276a5cae7436ecc66053da67ec2a2d", 
	// 	        "ref": "refs/heads/master", 
	// 	        "user_id": 449815, 
	// 	        "user_name": "gitlabu6d4bu8bd5u8d26u53f72", 
	// 	        "user": {
	// 	            "id": 449815, 
	// 	            "email": "gitlabtest_2@gitlab.com", 
	// 	            "name": "gitlabu6d4bu8bd5u8d26u53f72", 
	// 	            "time": "2015-11-06T14:51:55+08:00"
	// 	        }, 
	// 	        "repository": {
	// 	            "name": "test_gitosc_20151106145021322", 
	// 	            "url": "git@git.oschina.net:gitlab_test_1/test_gitosc_20151106145021322.git", 
	// 	            "description": "test_gitosc_20151106145021322 testting", 
	// 	            "homepage": "http://git.oschina.net/gitlab_test_1/test_gitosc_20151106145021322"
	// 	        }, 
	// 	        "commits": [
	// 	            {
	// 	                "id": "219aa13d45276a5cae7436ecc66053da67ec2a2d", 
	// 	                "message": "commit_access_test", 
	// 	                "timestamp": "2015-11-06T14:50:47+08:00", 
	// 	                "url": "http://git.oschina.net/gitlab_test_1/test_gitosc_20151106145021322/commit/219aa13d45276a5cae7436ecc66053da67ec2a2d", 
	// 	                "author": {
	// 	                    "name": "gitlab_test_2", 
	// 	                    "email": "gitlabtest_2@gitlab.com", 
	// 	                    "time": "2015-11-06T14:50:47+08:00"
	// 	                }
	// 	            }
	// 	        ], 
	// 	        "total_commits_count": 1, 
	// 	        "commits_more_than_ten": false
	// 	    }
	// 	}`


	// resp:=&HookInfo{}
	// ffjson.Unmarshal([]byte(str),resp)

	// println(resp.PushData.Before)

	// rs,_:=git.Diff("/var/www/ydl","bba21848d31031eaf975c1ee858274a9f64a5dd6","b304de0b79cb113ce8ac6f139fcf1d204f476c50")

	// log.Info(rs)

	c.ServeJSON()
}



func init(){

	log=logs.NewLogger(64)
	log.SetLogger("file",`{"filename":"test.log"}`)
}